crunch() {
	LIBDIR=$1
	LIBPREFIX=$2
	for f in $LIBDIR/$LIBPREFIX.so.?.*
	do
		bname=`basename $f`
		echo "   - compacting $bname."
		cp $f $LIBDIR/t$bname || exit 1
		rm -f $f
		mv $LIBDIR/t$bname $f
	done
}
( cd lib ; ln -sf  /lib/libabi.so.0.1 libabi.so.0 )
echo "Compacting shared libraries to decrease disk space utilization..."
crunch lib libabi;
echo "Shared libraries compacted."
